LSVIO(8)

NAME
lsvio - list virtual I/O adapters and devices

SYNOPSIS

lsvio [-v | --version] [-s | --scsi] [-e | --ethernet] [-d | --devices] [-p<database-filename> | --path=<database-filename> | -z<database-archive> | --zip=<database-archive>] [-D | --debug] [-h | --help]

DESCRIPTION

This program is part of the lsvpd package for Linux. This package is a (partial) reimplementation of AIX's lsvpd and related commands.

 lsvio lists virtual I/O adapters and devices. lsvio retrieves information from lsvpd's hardware inventory database. Therefore, the vpdupdate(8) command must have been executed prior to running lsvio.

OPTIONS

-v|--version
    Prints the version of tool.

-s|--scsi
    Lists names and physical locations of virtual SCSI adapters.

-e|--ethernet
    Lists names and physical locations of virtual Ethernet adapters.

-d|--devices
    Lists virtual SCSI devices and their associated adapters.

-p<database-filename>|--path=<database-filename>
    Use <database-filename> as the hardware inventory database, rather than the default database. Path specified must be a full path including filename. (/var/lib/lsvpd/vpd.db). This option is useful for producing output for previous hardware inventory databases that have been replaced by the system.

-z<database-archive>|--zip=<database-archive>
    Use <database-archive> as the hardware inventory database, rather than the default directory (/var/lib/lsvpd/). The archive has been compressed using gzip(1). This option is useful for producing output for old hardware inventory databases that have been archived by the system.

-D|--debug
    Display extra information about the devices. For example, sysfs location, device-tree node etc., is displayed.

-h|--help
    Display a help screen and quit.

FILES

/var/lib/lsvpd/vpd.db
    Database file used by lsvio.

BUGS
lsvio is supported since Linux 2.6 on systems with virtual I/O. On other systems lsvio will probably exit with an error message.

SEE ALSO

lsvpd(8), lscfg(8), lsvio(8), vpdupdate(8)

AUTHORS

Eric Munson <ebmunson@us.ibm.com>. Brad Peters <bpeters@us.ibm.com>.

Copyright (c) 2002 - 2013 IBM.